%define ver_major 0.8

Name: gnome-bluetooth
Version: %ver_major.0
Release: alt1

Summary: The GNOME Bluetooth Subsystem
License: GPL
Group: System/Libraries
Url: http://live.gnome.org/GnomeBluetooth

Source: ftp://ftp.gnome.org/pub/gnome/sources/%name/%ver_major/%name-%version.tar.bz2

%define libbtctl_ver 0.8.0

AutoReq: yes
Requires: bluez-utils

BuildPreReq: libbtctl-devel >= %libbtctl_ver
BuildPreReq: GConf2 gob2 libglade2-devel
BuildPreReq: libGConf2-devel >= 2.3.3
BuildPreReq: libgnomeui-devel >= 1.110.0
BuildPreReq: python-module-pygtk-devel
BuildPreReq: gnome-vfs-devel >= 2.1.3.1
BuildPreReq: libgtk+2-devel >= 2.6.0
BuildPreReq: libgnome-devel >= 2.0
BuildPreReq: librsvg-devel
BuildPreReq: libopenobex-devel >= 1.0

%description
The GNOME Bluetooth Subsystem.

%package devel
Summary: The GNOME Bluetooth Subsystem development package
Group: Development/C
Requires: %name >= %version-%release
Requires: libbtctl-devel >= %libbtctl_ver

%description devel
This package provides GNOME Bluetooth Subsystem development files.

%prep
%setup -q

#__subst 's,openobex/\(obex.h\),\1,' obex/*.c

%build
%__autoreconf

%configure --disable-scrollkeeper --disable-schemas-install

# SMP-incompatible build
%make

%install
%make_install DESTDIR=%buildroot install

%__cp  %buildroot%_datadir/pixmaps/blueradio-48.png %buildroot%_datadir/%name/pixmaps/blueradio-48.png

%find_lang %name

%post
%post_ldconfig

%postun
%postun_ldconfig

%files -f %name.lang
%_bindir/*
%_libdir/*.so.*
%_libdir/python%__python_version/site-packages/*
%_datadir/applications/*
%_datadir/pixmaps/blueradio-48.png
%_datadir/%name
%config %_sysconfdir/gconf/schemas/gnome-obex-server.schemas
%doc AUTHORS ChangeLog README

%files devel
%_libdir/*.so
%_includedir/*
%_libdir/pkgconfig/*

%changelog
* Tue Nov 28 2006 Alexey Rusakov <ktirf@altlinux.org> 0.8.0-alt1
- returning the package from orphaned.
- new version
- Debian menu stuff thrown away
- updated dependencies and URL
- spec cleanup

* Tue Nov 22 2005 Vital Khilko <vk@altlinux.ru> 0.7.0-alt1
- 0.7.0

* Tue Nov 15 2005 Vital Khilko <vk@altlinux.ru> 0.6.0-alt1
- 0.6.0
- updated belarusian translation

* Thu Jul 15 2004 Vital Khilko <vk@altlinux.ru> 0.5.1-alt2
- belarusian translation

* Thu Jul 01 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.5.1-alt1
- 0.5.1

* Mon May 17 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.4.1-alt0.2
- fixed build by voins@.

* Sun Nov 16 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.4.1-alt0.1
- First build for Sisyphus.

